| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Static Public Member Functions | List of all members
IG.Num.MatrixExtensions Class Reference

Extension methods for IMatrix interface. More...

## Static Public Member Functions
static string | ToStringReadable (this IMatrix mat, int accuracy=4, int padding=8)
| Easily readable string form of a matrix, accuracy and padding can be set. More...
static string | ToStringMath (this IMatrix mat)
| Returns string representation of the current matrix in the standard IGLib form. Rows and elements are printed in comma separated lists in curly brackets. Extension method for IMatrix interface. More...
static string | ToString (this IMatrix mat, string elementFormat)
| Returns string representation of the current matrix in the standard IGLib form, with the specified format for elements of the matrix. Rows and elements are printed in comma separated lists in curly brackets. Extension method for IMatrix interface. More...
static string | ToStringMath (this IMatrix mat, string elementFormat)
| Returns string representation of the current matrix in the standard IGLib form, with the specified format for elements of the matrix. Rows and elements are printed in comma separated lists in curly brackets. Extension method for IMatrix interface. More...
static string | ToStringNewlines (IMatrix mat)
| Returns a string representation of the current matrix with newlines inserted after each row. Rows and elements are printed in comma separated lists in curly brackets. Extension nethod for IMatrix interface. More...
static string | ToStringNewlines (IMatrix mat, string elementFormat)
| Returns a string representation of the current matrix with newlines inserted after each row, with the specified format for elements of the matrix. Rows and elements are printed in comma separated lists in curly brackets. Extension nethod for IMatrix interface. More...
static string | ToStringMath1 (IMatrix mat)
| Returns string representation of the current matrix in the standard IGLib form (Mathematica-like format but with C representation of numbers). Rows and elements are printed in comma separated lists in curly brackets. Extension nethod for IMatrix interface. More...

## Detailed Description

Extension methods for IMatrix interface.

$A Igor Apr11;

## Member Function Documentation

static string IG.Num.MatrixExtensions.ToStringReadable | ( | this IMatrix | mat,
|  | int | accuracy = `4`,
|  | int | padding = `8`
| ) |  |
| inline static

Easily readable string form of a matrix, accuracy and padding can be set.

Parameters

  mat | Matrix to be changed to a string.
  accuracy | Accuracy of matrix elments representations.
  padding | Paddind of matrix elements.

Returns
  A readable string representation in tabular form.

References IG.Num.MatrixBase.ToStringReadable().

static string IG.Num.MatrixExtensions.ToStringMath | ( | this IMatrix | mat | ) |
| inline static

Returns string representation of the current matrix in the standard IGLib form. Rows and elements are printed in comma separated lists in curly brackets. Extension method for IMatrix interface.

Parameters

  mat | Matrix whose string representation is returned.

References IG.Num.MatrixBase.ToStringMath().

static string IG.Num.MatrixExtensions.ToString | ( | this IMatrix | mat,
|  | string | elementFormat
| ) |  |
| inline static

Returns string representation of the current matrix in the standard IGLib form, with the specified format for elements of the matrix. Rows and elements are printed in comma separated lists in curly brackets. Extension method for IMatrix interface.

Parameters

  mat | Matrix whose string representation is returned.
  elementFormat | Elsment format.

References IG.Num.MatrixBase.ToString().

static string IG.Num.MatrixExtensions.ToStringMath | ( | this IMatrix | mat,
|  | string | elementFormat
| ) |  |
| inline static

Returns string representation of the current matrix in the standard IGLib form, with the specified format for elements of the matrix. Rows and elements are printed in comma separated lists in curly brackets. Extension method for IMatrix interface.

Parameters

  mat | Matrix whose string representation is returned.
  elementFormat | Element format.

References IG.Num.MatrixBase.ToStringMath().

static string IG.Num.MatrixExtensions.ToStringNewlines | ( | IMatrix | mat | ) |
| inline static

Returns a string representation of the current matrix with newlines inserted after each row. Rows and elements are printed in comma separated lists in curly brackets. Extension nethod for IMatrix interface.

Parameters

  mat | Matrix whose string representation is returned.

References IG.Num.MatrixBase.ToStringNewlines().

static string IG.Num.MatrixExtensions.ToStringNewlines | ( | IMatrix | mat,
|  | string | elementFormat
| ) |  |
| inline static

Returns a string representation of the current matrix with newlines inserted after each row, with the specified format for elements of the matrix. Rows and elements are printed in comma separated lists in curly brackets. Extension nethod for IMatrix interface.

Parameters

  mat | Matrix whose string representation is returned.

References IG.Num.MatrixBase.ToStringNewlines().

static string IG.Num.MatrixExtensions.ToStringMath1 | ( | IMatrix | mat | ) |
| inline static

Returns string representation of the current matrix in the standard IGLib form (Mathematica-like format but with C representation of numbers). Rows and elements are printed in comma separated lists in curly brackets. Extension nethod for IMatrix interface.

Parameters

  mat | Matrix whose string representation is returned.

References IG.Num.MatrixBase.ToStringMath().

The documentation for this class was generated from the following file:

- igbase/numeric/MatrixBase.cs